
From: Adrian Bunk <bunk@stusta.de>

The patch below removes some unused functions from OSS.

Signed-off-by: Adrian Bunk <bunk@stusta.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 /dev/null                  |    0 
 25-akpm/sound/oss/ad1889.c |   14 --------------
 25-akpm/sound/oss/cmpci.c  |    9 ---------
 25-akpm/sound/oss/cs46xx.c |   25 -------------------------
 25-akpm/sound/oss/ymfpci.c |    5 -----
 5 files changed, 53 deletions(-)

diff -puN sound/oss/ad1889.c~oss-remove-unused-functions-fwd sound/oss/ad1889.c
--- 25/sound/oss/ad1889.c~oss-remove-unused-functions-fwd	Thu Dec  9 13:37:08 2004
+++ 25-akpm/sound/oss/ad1889.c	Thu Dec  9 13:37:08 2004
@@ -82,20 +82,6 @@ static inline void ad1889_set_wav_rate(a
 	ac97_codec->codec_write(dev->ac97_codec, AC97_POWER_CONTROL, 0);
 }
 
-static inline void ad1889_set_adc_rate(ad1889_dev_t *dev, int rate)
-{
-	struct ac97_codec *ac97_codec = dev->ac97_codec;
-
-	DBG("Setting ADC rate to %d\n", rate);
-	dev->state[AD_ADC_STATE].dmabuf.rate = rate;
-	AD1889_WRITEW(dev, AD_DSRES, rate);
-
-	/* Cycle the ADC to enable the new rate */
-	ac97_codec->codec_write(dev->ac97_codec, AC97_POWER_CONTROL, 0x0100);
-	WAIT_10MS();
-	ac97_codec->codec_write(dev->ac97_codec, AC97_POWER_CONTROL, 0);
-}
-
 static inline void ad1889_set_wav_fmt(ad1889_dev_t *dev, int fmt)
 {
 	u16 tmp;
diff -L sound/oss/ad1889.c.old -puN /dev/null /dev/null
diff -puN sound/oss/cmpci.c~oss-remove-unused-functions-fwd sound/oss/cmpci.c
--- 25/sound/oss/cmpci.c~oss-remove-unused-functions-fwd	Thu Dec  9 13:37:08 2004
+++ 25-akpm/sound/oss/cmpci.c	Thu Dec  9 13:37:08 2004
@@ -1162,15 +1162,6 @@ static inline void enable_dac_unlocked(s
 		enable_adc(s);
 }
 
-static inline void enable_dac(struct cm_state *s)
-{
-	unsigned long flags;
-
-	spin_lock_irqsave(&s->lock, flags);
-	enable_dac_unlocked(s);
-	spin_unlock_irqrestore(&s->lock, flags);
-}
-
 static inline void stop_adc_unlocked(struct cm_state *s)
 {
 	if (s->enable & ENADC) {
diff -L sound/oss/cmpci.c.old -puN /dev/null /dev/null
diff -puN sound/oss/cs46xx.c~oss-remove-unused-functions-fwd sound/oss/cs46xx.c
--- 25/sound/oss/cs46xx.c~oss-remove-unused-functions-fwd	Thu Dec  9 13:37:08 2004
+++ 25-akpm/sound/oss/cs46xx.c	Thu Dec  9 13:37:08 2004
@@ -391,31 +391,6 @@ static void cs461x_clear_serial_FIFOs(st
 static int cs46xx_suspend_tbl(struct pci_dev *pcidev, u32 state);
 static int cs46xx_resume_tbl(struct pci_dev *pcidev);
 
-static inline unsigned ld2(unsigned int x)
-{
-	unsigned r = 0;
-	
-	if (x >= 0x10000) {
-		x >>= 16;
-		r += 16;
-	}
-	if (x >= 0x100) {
-		x >>= 8;
-		r += 8;
-	}
-	if (x >= 0x10) {
-		x >>= 4;
-		r += 4;
-	}
-	if (x >= 4) {
-		x >>= 2;
-		r += 2;
-	}
-	if (x >= 2)
-		r++;
-	return r;
-}
-
 #if CSDEBUG
 
 /* DEBUG ROUTINES */
diff -L sound/oss/cs46xx.c.old -puN /dev/null /dev/null
diff -puN sound/oss/ymfpci.c~oss-remove-unused-functions-fwd sound/oss/ymfpci.c
--- 25/sound/oss/ymfpci.c~oss-remove-unused-functions-fwd	Thu Dec  9 13:37:08 2004
+++ 25-akpm/sound/oss/ymfpci.c	Thu Dec  9 13:37:08 2004
@@ -124,11 +124,6 @@ MODULE_DEVICE_TABLE(pci, ymf_id_tbl);
  *  common I/O routines
  */
 
-static inline u8 ymfpci_readb(ymfpci_t *codec, u32 offset)
-{
-	return readb(codec->reg_area_virt + offset);
-}
-
 static inline void ymfpci_writeb(ymfpci_t *codec, u32 offset, u8 val)
 {
 	writeb(val, codec->reg_area_virt + offset);
diff -L sound/oss/ymfpci.c.old -puN /dev/null /dev/null
_
